﻿using CarRepairShopContracts.BindingModels;
using CarRepairShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarRepairShopContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportRepairComponentViewModel> GetRepairComponent();

        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);

        void SaveComponentsToWordFile(ReportBindingModel model);

        void SaveRepairComponentToExcelFile(ReportBindingModel model);

        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
